Bug 452389 - smartd failure on MPT SAS and 2.6.25.6-55.fc9.x86_64
smartd failure on MPT SAS and 2.6.25.6-55.fc9.x86_64
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-21 16:26 EDT by Richard Scobie
Modified: 2009-07-14 11:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Scobie 2008-06-21 16:26:30 EDT
Description of problem:

Just updated from 2.6.25.4-30.fc9.x86_64 to 2.6.25.6-55.fc9.x86_64 and a
previously working smartd setup (smartmontools-5.38-2.fc9.x86_64) to drives
behind an LSISAS1068E, now causes controller resets.


Version-Release number of selected component (if applicable):


How reproducible: Always


Steps to Reproduce:

1.Any use of smartd or smartctl triggers this and can result in drives being
taken offline. The same result occurs with any of the 16 drives in this array.

  
Actual results:

mptscsih: ioc0: attempting task abort! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: ATA command pass through(16): 85 08 0e 00 00 00 01 00 00
00 00 00 00 00 ec 00
mptbase: ioc0: LogInfo(0x31140000): Originator={PL}, Code={IO Executed},
SubCode(0x0000)
mptscsih: ioc0: task abort: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting task abort! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: Test Unit Ready: 00 00 00 00 00 00
mptbase: ioc0: LogInfo(0x31130000): Originator={PL}, Code={IO Not Yet Executed},
SubCode(0x0000)
mptscsih: ioc0: task abort: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting target reset! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: ATA command pass through(16): 85 08 0e 00 00 00 01 00 00
00 00 00 00 00 ec 00
mptscsih: ioc0: target reset: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting task abort! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: Test Unit Ready: 00 00 00 00 00 00
mptbase: ioc0: LogInfo(0x31130000): Originator={PL}, Code={IO Not Yet Executed},
SubCode(0x0000)
mptscsih: ioc0: task abort: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting bus reset! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: ATA command pass through(16): 85 08 0e 00 00 00 01 00 00
00 00 00 00 00 ec 00
mptscsih: ioc0: bus reset: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting task abort! (sc=ffff81023d0c6b40)
sd 4:0:0:0: [sdc] CDB: Test Unit Ready: 00 00 00 00 00 00
mptbase: ioc0: LogInfo(0x31130000): Originator={PL}, Code={IO Not Yet Executed},
SubCode(0x0000)
mptscsih: ioc0: task abort: SUCCESS (sc=ffff81023d0c6b40)
mptscsih: ioc0: attempting host reset! (sc=ffff81023d0c6b40)
mptbase: ioc0: Initiating recovery
mptscsih: ioc0: host reset: SUCCESS (sc=ffff81023d0c6b40)
sd 4:0:0:0: Device offlined - not ready after error recovery
program smartd is using a deprecated SCSI ioctl, please convert it to SG_IO 


Expected results:


Additional info:

smartd.conf

/dev/sdc -d sat,16 -a -I 194 -s L/../../1/01 -m root@sauce.co.nz
/dev/sdd -d sat,16 -a -I 194 -s L/../../1/05 -m root@sauce.co.nz
/dev/sde -d sat,16 -a -I 194 -s L/../../2/01 -m root@sauce.co.nz
/dev/sdf -d sat,16 -a -I 194 -s L/../../2/05 -m root@sauce.co.nz
/dev/sdg -d sat,16 -a -I 194 -s L/../../3/01 -m root@sauce.co.nz
/dev/sdh -d sat,16 -a -I 194 -s L/../../3/05 -m root@sauce.co.nz
/dev/sdi -d sat,16 -a -I 194 -s L/../../4/01 -m root@sauce.co.nz
/dev/sdj -d sat,16 -a -I 194 -s L/../../4/05 -m root@sauce.co.nz
/dev/sdk -d sat,16 -a -I 194 -s L/../../1/23 -m root@sauce.co.nz
/dev/sdl -d sat,16 -a -I 194 -s L/../../1/03 -m root@sauce.co.nz
/dev/sdm -d sat,16 -a -I 194 -s L/../../2/23 -m root@sauce.co.nz
/dev/sdn -d sat,16 -a -I 194 -s L/../../2/03 -m root@sauce.co.nz
/dev/sdo -d sat,16 -a -I 194 -s L/../../3/23 -m root@sauce.co.nz
/dev/sdp -d sat,16 -a -I 194 -s L/../../3/03 -m root@sauce.co.nz
/dev/sdq -d sat,16 -a -I 194 -s L/../../4/23 -m root@sauce.co.nz
/dev/sdr -d sat,16 -a -I 194 -s L/../../4/03 -m root@sauce.co.nz
Comment 1 Paweł 2009-01-26 14:03:47 EST
Same for me, but I have HP SC40GE (same LSISAS1068E).
smartmontools-5.38-7.fc10.x86_64
kernel-2.6.27.9-159.fc10.x86_64
This is propably smartmontools bug. Smartmontools don't like pie flags.
Temporary solution download src rpm for smartmontools, edit spec file and remove -fpie and -pie from "make CXXFLAGS=" line. Rebuild and install new rpm.
That's work for me.
Comment 2 Joe Krahn 2009-02-19 19:24:01 EST
As a temporary work-around, you can probably get limited SMART info using the "-d scsi" flag instead of "-d sat". It works on my system without those errors. You can still initiate self-tests and check the SMART status.
Comment 3 Bug Zapper 2009-06-09 21:43:25 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:51:10 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.